import { AxiosResponse } from 'axios';
import { publicApi } from './api';
import { Skill } from './types';

/** Data response type for get skills request */
type GetSkillsData = Array<Skill>;

/** Data response type for get skills request with axios wrapper */
export type GetSkillsResponse = AxiosResponse<GetSkillsData>;

export default {
    getSkills: (): Promise<GetSkillsResponse> => publicApi.get('/v1/skills'),
};
