import React from 'react';
import MobileUploadIcon from '@assets/icons/ic_mobileUpload.svg';

type ReopenQRCodeButtonComponentProps = {
    /** Displaying text */
    text: string;
    /** Styling class name */
    className: string;
    /** Event handler for reopen QR Code for transaction */
    handleOpen: () => void;
};

/**
 *  Component to render a reopen QR Code button button
 */
function ReopenQRCodeButtonComponent({ text, className, handleOpen }: ReopenQRCodeButtonComponentProps) {
    return (
            <span className={className} onClick={handleOpen}>
                <MobileUploadIcon />
                <span>{text.toUpperCase()}</span>
            </span>
    );
}

export default ReopenQRCodeButtonComponent;
