import React from 'react';
import ReviewIcon from '@assets/icons/ic_review.svg';

type ResultLinkComponentProps = {
    /** Displaying text */
    text: string;
    /** Review link */
    link: string;
    /**  Styling */
    className: string;
};

/**
 *  Component to render a redirect link to web-verification
 */
function ReviewResultComponent({ text, link, className }: ResultLinkComponentProps) {
    return (
        <>
            <span className={className}>
                <ReviewIcon />
                <a target="_blank" rel="noopener noreferrer" href={link}>
                    {text}
                </a>
            </span>
        </>
    );
}

export default ReviewResultComponent;
