import React, { useCallback } from 'react';
import {useDispatch} from 'react-redux';
import PageHeaderComponent from "@commonComponents/PageHeaderComponent/PageHeaderComponent";
import { flipView } from '@src/ducks/Common/actions/CommonActions';
//import {deleteToken} from "@utils/tokenUtils";
import {useHistory} from "react-router-dom";
//import { authLogout } from '@src/ducks/Auth/actions/AuthActions';

type PageHeaderContainerProps = {
    isCardView: boolean
}

/**
 *  Component to render a styled button for mobile upload
 */
const PageHeaderContainer = ({isCardView}: PageHeaderContainerProps) => {

    const dispatch = useDispatch();
    const history = useHistory();

    const handleFlipView = useCallback(() => {
        dispatch(flipView());
    }, [dispatch]);

    const handleLogOut = useCallback(()=>{
        document.cookie = `token=; Expires=Thu, 01 Jan 1970 00:00:01 GMT;`
        history.push('/login');
    },[])

    return <PageHeaderComponent isCardView={isCardView} handleFlipView={handleFlipView} handleLogOut={handleLogOut} />;
};

export default PageHeaderContainer;
