import { ErrorActionTypes } from './actions/ErrorActions';
import { Type } from './actionTypes';

export const initialState: ErrorState = {
    /** Error visibility flag */
    isVisible: false,
    /** Error text */
    text: '',
};

/**
 * Error reducer state type
 */
export interface ErrorState {
    isVisible: boolean;
    text: string;
}

/**
 * Error reducer
 * @param state
 * @param action
 */
export const reducer = (state = initialState, action: ErrorActionTypes): ErrorState => {
    switch (action.type) {
        case Type.ERROR_SHOW: {
            return {
                ...state,
                isVisible: true,
                text: action.payload.errorText,
            };
        }

        case Type.ERROR_HIDE: {
            return {
                ...state,
                isVisible: false,
                text: '',
            };
        }
        default:
            return state;
    }
};
