import { reducer, initialState } from './reducer';
import { Type } from './actionTypes';

describe('QR code reducer tests', () => {
    it('Qr code show', () => {
        const action = {
            type: Type.SHOW_QR_CODE,
            payload: {
                transactionId: 'https://test.com',
            },
        };
        expect(reducer(initialState, action)).toEqual({
            isVisible: true,
            transactionId: 'https://test.com',
        });
    });

    it('QR code hide', () => {
        const action = {
            type: Type.HIDE_QR_CODE,
        };
        expect(reducer(initialState, action)).toEqual({
            isVisible: false,
            url: '',
        });
    });
});
