import { GetActionsType } from '../../types';
import { Type } from '../actionTypes';
import { Transaction } from '../../../api/types';

const CreateLocalTransactionActions = {
    createLocalTransactionRequest: (payload: { transaction: Transaction }) => ({
        type: Type.CREATE_LOCAL_TRANSACTION_REQUEST,
        payload,
    }),

    createLocalTransactionSuccess: (payload: { transaction: Transaction }) => ({
        type: Type.CREATE_LOCAL_TRANSACTION_SUCCESS,
        payload,
    }),

    createLocalTransactionError: (payload: { errorText: string }) => ({
        type: Type.CREATE_LOCAL_TRANSACTION_ERROR,
        payload,
    }),
};

export const { createLocalTransactionRequest, createLocalTransactionSuccess, createLocalTransactionError } =
    CreateLocalTransactionActions;

export type CreateLocalTransactionActionTypes = GetActionsType<typeof CreateLocalTransactionActions>;
