import { GetActionsType } from '../../types';
import { Type } from '../actionTypes';
import { Transaction } from '../../../api/types';

const CreateTransactionActions = {
    createTransactionRequest: (payload: { transaction: Transaction; skillId: string }) => ({
        type: Type.CREATE_TRANSACTION_REQUEST,
        payload,
    }),

    createTransactionMobileRequest: (payload: { transaction: Transaction; skillId: string }) => ({
        type: Type.CREATE_TRANSACTION_MOBILE_REQUEST,
        payload,
    }),

    createTransactionStart: (payload: { uuid: string; skillId: string }) => ({
        type: Type.CREATE_TRANSACTION_START,
        payload,
    }),

    createTransactionSuccess: (payload: { uuid: string; transactionId: string }) => ({
        type: Type.CREATE_TRANSACTION_SUCCESS,
        payload,
    }),

    createTransactionError: (payload: { uuid: string; errorText: string }) => ({
        type: Type.CREATE_TRANSACTION_ERROR,
        payload,
    }),
};

export const {
    createTransactionRequest,
    createTransactionMobileRequest,
    createTransactionStart,
    createTransactionSuccess,
    createTransactionError,
} = CreateTransactionActions;

export type CreateTransactionActionTypes = GetActionsType<typeof CreateTransactionActions>;
