import {
    deleteAllTransactionRequest,
    deleteTransactionError,
    deleteTransactionRequest,
    deleteTransactionStart,
    deleteTransactionSuccess,
} from './deleteTransactionActions';
import { Type } from '../actionTypes';

describe('Delete transaction action tests', () => {
    it('Delete transaction request', () => {
        const expectedAction = {
            type: Type.DELETE_TRANSACTION_REQUEST,
            payload: {
                uuid: 'uuid-1',
            },
        };
        expect(
            deleteTransactionRequest({
                uuid: 'uuid-1',
            }),
        ).toEqual(expectedAction);
    });

    it('Delete transaction start', () => {
        const expectedAction = {
            type: Type.DELETE_TRANSACTION_START,
            payload: {
                uuid: 'uuid-1',
            },
        };
        expect(
            deleteTransactionStart({
                uuid: 'uuid-1',
            }),
        ).toEqual(expectedAction);
    });

    it('Delete transaction success', () => {
        const expectedAction = {
            type: Type.DELETE_TRANSACTION_SUCCESS,
            payload: {
                uuid: 'uuid-1',
            },
        };
        expect(
            deleteTransactionSuccess({
                uuid: 'uuid-1',
            }),
        ).toEqual(expectedAction);
    });
    it('Delete transaction failed', () => {
        const expectedAction = {
            type: Type.DELETE_TRANSACTION_ERROR,
            payload: {
                uuid: 'uuid-1',
                errorText: 'error',
            },
        };
        expect(
            deleteTransactionError({
                uuid: 'uuid-1',
                errorText: 'error',
            }),
        ).toEqual(expectedAction);
    });
    it('Delete all transaction failed', () => {
        const expectedAction = {
            type: Type.DELETE_ALL_TRANSACTION_REQUEST,
        };
        expect(deleteAllTransactionRequest()).toEqual(expectedAction);
    });
});
