import { GetActionsType } from '../../types';
import { Type } from '../actionTypes';

const DeleteTransactionActions = {
    deleteTransactionRequest: (payload: { uuid: string }) => ({
        type: Type.DELETE_TRANSACTION_REQUEST,
        payload,
    }),

    deleteAllTransactionRequest: () => ({
        type: Type.DELETE_ALL_TRANSACTION_REQUEST,
    }),

    deleteTransactionStart: (payload: { uuid: string }) => ({
        type: Type.DELETE_TRANSACTION_START,
        payload,
    }),

    deleteTransactionSuccess: (payload: { uuid: string }) => ({
        type: Type.DELETE_TRANSACTION_SUCCESS,
        payload,
    }),

    deleteTransactionError: (payload: { uuid: string; errorText: string }) => ({
        type: Type.DELETE_TRANSACTION_ERROR,
        payload,
    }),
};

export const {
    deleteAllTransactionRequest,
    deleteTransactionRequest,
    deleteTransactionStart,
    deleteTransactionSuccess,
    deleteTransactionError,
} = DeleteTransactionActions;

export type DeleteTransactionActionTypes = GetActionsType<typeof DeleteTransactionActions>;
