import { GetActionsType } from '../../types';
import { Type } from '../actionTypes';

const DownloadTransactionActions = {
    downloadTransactionRequest: (payload: { uuid: string; fileId: string }) => ({
        type: Type.DOWNLOAD_TRANSACTION_FILE_REQUEST,
        payload,
    }),

    downloadTransactionStart: (payload: { uuid: string; fileId: string }) => ({
        type: Type.DOWNLOAD_TRANSACTION_FILE_START,
        payload,
    }),

    downloadTransactionSuccess: (payload: { uuid: string; fileId: string }) => ({
        type: Type.DOWNLOAD_TRANSACTION_FILE_SUCCESS,
        payload,
    }),

    downloadTransactionError: (payload: { uuid: string; errorText: string; fileId: string }) => ({
        type: Type.DOWNLOAD_TRANSACTION_FILE_ERROR,
        payload,
    }),
};
export const {
    downloadTransactionRequest,
    downloadTransactionStart,
    downloadTransactionSuccess,
    downloadTransactionError,
} = DownloadTransactionActions;

export type DownloadTransactionActionTypes = GetActionsType<typeof DownloadTransactionActions>;
