import { GetActionsType } from '../../types';
import { Type } from '../actionTypes';
import {ResultFile, TransactionStatus } from '../../../api/types';

const GetTransactionActions = {
    getTransactionRequest: (payload: { uuid: string; transactionId: string; skillId: string }) => ({
        type: Type.GET_TRANSACTION_REQUEST,
        payload,
    }),

    getTransactionStart: (payload: { uuid: string; transactionId: string; skillId: string }) => ({
        type: Type.GET_TRANSACTION_START,
        payload,
    }),

    getTransactionRepeat: (payload: { uuid: string; transactionId: string }) => ({
        type: Type.GET_TRANSACTION_REPEAT,
        payload,
    }),

    getTransactionStop: (payload: { transactionId: string }) => ({
        type: Type.GET_TRANSACTION_STOP,
        payload,
    }),

    getTransactionSuccess: (payload: {
        uuid: string;
        status: TransactionStatus;
        fileName?: string;
        reviewLink?: string;
        resultFiles?: ResultFile[]
        resultClassName?: string;
    }) => ({
        type: Type.GET_TRANSACTION_SUCCESS,
        payload,
    }),

    getTransactionError: (payload: { errorText: string }) => ({
        type: Type.GET_TRANSACTION_ERROR,
        payload,
    }),
};

export const {
    getTransactionRequest,
    getTransactionStart,
    getTransactionStop,
    getTransactionRepeat,
    getTransactionSuccess,
    getTransactionError,
} = GetTransactionActions;

export type GetTransactionActionTypes = GetActionsType<typeof GetTransactionActions>;
