import { runSaga } from 'redux-saga';
import deleteAllTransactionSaga from './deleteAllTransactionSaga';
import { deleteTransactionRequest, TransactionActionTypes } from '../actions';

describe('Delete all transaction tests', () => {
    it('Delete all transaction', async () => {
        const dispatched: Array<TransactionActionTypes> = [];
        const fakeStore = {
            transactionsStore: {
                allIds: ['uuid-1', 'uuid-2', 'uuid-3'],
            },
        };

        await runSaga(
            {
                dispatch: (action: TransactionActionTypes) => dispatched.push(action),
                getState: () => fakeStore,
            },
            deleteAllTransactionSaga,
        ).toPromise();

        expect(dispatched).toContainEqual(
            deleteTransactionRequest({
                uuid: 'uuid-1',
            }),
        );
        expect(dispatched).toContainEqual(
            deleteTransactionRequest({
                uuid: 'uuid-2',
            }),
        );
        expect(dispatched).toContainEqual(
            deleteTransactionRequest({
                uuid: 'uuid-3',
            }),
        );
    });
});
