import { SagaIterator } from 'redux-saga';
import { all, put, select } from 'redux-saga/effects';
import { deleteTransactionRequest } from '../actions';
import { transactionIdsSelector } from '../selectors/transactionIdsSelector';

export default function* deleteTransactionSaga(): SagaIterator {
    const transactionIds: Array<string> = yield select(transactionIdsSelector);
    yield all(transactionIds.map((uuid: string) => put(deleteTransactionRequest({ uuid }))));
}
