import React from 'react';
import styles from './MainPageBackComponent.module.scss';
import DocumentsIcon from '@assets/icons/ic_documents.svg';
import Logo from '@assets/logo_large.svg';
import BrowseButtonContainer from '@commonContainers/BrowseButtonContainer/BrowseButtonContainer';
import { resource } from '@assets/text/resources';
import PoweredByLogo from '@assets/logo_powered_by_abbyy.svg';
import MobileUploadButtonContainer from '@commonContainers/MobileUploadButtonContainer/MobileUploadButtonContainer';

interface MainPageBackComponentProps {
    /** handler for flip event */
    handleFlip: (event: React.MouseEvent) => void;
}

/**
 *  Component to render a Main Page for table view
 */
function MainPageBackComponent({ handleFlip }: MainPageBackComponentProps) {
    return (
        <div className={styles.page}>
            <span className={styles.logoContainer} onClick={handleFlip} data-flip>
                <Logo className={styles.logo} />
            </span>
            <p className={styles.title}>{resource.title.subTitle}</p>
            <DocumentsIcon className={styles.documentsIcon} />
            <div className={styles.title}>
                {resource.title.dragAndDrop}
                <br />
                {resource.title.or}
            </div>
            <BrowseButtonContainer text={resource.button.uploadDoc} />
            <p className={styles.formatsTitle}>{resource.title.availableFormats}</p>
            <hr className={styles.divider} />
            <div className={styles.titleMobile}>{resource.title.uploadFromMobile}</div>
            <div className={styles.subtitleMobile}>{resource.title.captureUsingQRCode}</div>
            <MobileUploadButtonContainer />
            <PoweredByLogo className={styles.poweredLogo} />
        </div>
    );
}

export default MainPageBackComponent;
