import React from 'react';
import styles from './MainPageFrontComponent.module.scss';
import DocumentsIcon from '@assets/icons/ic_documents.svg';
import Logo from '@assets/logo_large.svg';
import BrowseButtonContainer from '@commonContainers/BrowseButtonContainer/BrowseButtonContainer';
import { resource } from '@assets/text/resources';
import PoweredByLogo from '@assets/logo_powered_by_abbyy.svg';
import MobileUploadButtonContainer from '@commonContainers/MobileUploadButtonContainer/MobileUploadButtonContainer';

type MainPageFrontComponentProperties = {
    /**  handler for flip event */
    handleFlip: (event: React.MouseEvent) => void;
};

/**
 *  Component to render a Main Page for card view
 */
function MainPageFrontComponent({ handleFlip }: MainPageFrontComponentProperties) {
    return (
        <div className={styles.page}>
            <span className={styles.logoContainer} onClick={handleFlip} data-flip={false}>
                <Logo className={styles.logo} />
            </span>
            <div className={styles.title}>{resource.title.subTitle}</div>
            <DocumentsIcon className={styles.documentsIcon} />
            <div className={styles.title}>
                {resource.title.dragAndDrop}
                <br />
                {resource.title.or}
            </div>
            <BrowseButtonContainer text={resource.button.uploadDoc} buttonType="rounded" />
            <div className={styles.formatsTitle}>{resource.title.availableFormats}</div>
            <hr className={styles.divider} />
            <div className={styles.titleMobile}>{resource.title.uploadFromMobile}</div>
            <div className={styles.subtitleMobile}>{resource.title.captureUsingQRCode}</div>
            <MobileUploadButtonContainer />
            <PoweredByLogo className={styles.poweredLogo} />
        </div>
    );
}

export default MainPageFrontComponent;
