import React from 'react';
import styles from './ViewPageComponent.module.scss';
import PoweredByLogo from '@assets/logo_powered_by_abbyy.svg';
import PageHeaderContainer from "@commonContainers/PageHeader/PageHeaderContainer";
import CardListContainer from "@routes/CardViewPage/containers/CardListContainer";
import TableContainer from "@routes/TableViewPage/conatiners/TableContainer";

type ViewPageComponentProps = {
    /** Card view visibility flag */
    isCardView: boolean;
};

/**
 *  Component to render table view page
 */
function ViewPageComponent({isCardView}: ViewPageComponentProps) {
    return (
        <div className={styles.container}>
            <PageHeaderContainer isCardView={isCardView}/>
            {isCardView? <CardListContainer/>: <TableContainer/>}
            <span className={styles.poweredContainer}>
                <PoweredByLogo className={styles.powered} />
            </span>
        </div>
    );
}

export default ViewPageComponent;
