import { getToken } from '@utils/tokenUtils';

const isProduction = process.env.NODE_ENV ? process.env.NODE_ENV == 'production': true;

export async function createMobileUrl(location: Location, transactionId: string) {
    const baseUrl = isProduction
                        ? `${location.protocol}//${location.hostname}` + (location.port ? `:${location.port}` : '')
                        : process.env.REACT_APP_PUBLIC_API_URL;
                        
    return `${baseUrl}/mobile?baseUrl=${baseUrl}&transactionId=${transactionId}&token=${await getToken()}`;
}
