async function getCookie(key: string) {
    const matches = document.cookie.match(
        new RegExp('(?:^|; )' + key.replace(/([\.$?*|{}\(\)\[\]\\\/\+^])/g, '\\$1') + '=([^;]*)'),
    );
    return matches ? decodeURIComponent(matches[1]) : undefined;
}

export const setToken = (token: string) => {
	document.cookie = `token=${token};max-age=${86400};`
};

export const getToken = () => {
    return getCookie('token');
};

export const setStoredPkce = (data: string) => {
    document.cookie = `pkce=${data}; max-age=${86400}; path=/`
};

export const getStoredPkce = () => {
    return getCookie('pkce');
};

export const deleteStoredPkce = () => {
    document.cookie = 'pkce=; Expires=Thu, 01 Jan 1970 00:00:01 GMT;';
}

export const deleteToken = () => {
    document.cookie = `token=; Expires=Thu, 01 Jan 1970 00:00:01 GMT;`
}
